INTERFACE
SUBROUTINE LARCIN2(KASLB1,KPROMA,KSTART,KPROF,KGLN,KGLX,&
 & KFLDN,KFLDX,KDLUN,KDLUX,KDGUN,KDGUX,&
 & KSTABUF,&
 & KWISA,KXLAG,KROT,LDPLANE,&
 & LDQMHW,LDQMHP,&
 & KSTTYP,PDSTRET,PC2M1,PC2P1,P4JP,PI,PDEPI,PIS2,&
 & PLOCEN,PMUCEN,PLSDEPI,PLATI,PIPI0,PIPI1,PIPI2,&
 & PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PCOSCO,PSINCO,PSINLA,PCOPHI,&
 & PURL0,PVRL0,&
 & PUSL,PVSL,PCSL,PUSL2,PVSL2,PCSL2,&
 & PLON,PLAT,PO,PQ,&
 & PUF0,PVF0,&
 & PUF,PVF,PCF,&
 & PUFZ,PVFZ) 
USE PARKIND1 , ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KDLUN
INTEGER(KIND=JPIM),INTENT(IN) :: KDLUX
INTEGER(KIND=JPIM),INTENT(IN) :: KDGUN
INTEGER(KIND=JPIM),INTENT(IN) :: KDGUX
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KWISA
INTEGER(KIND=JPIM),INTENT(IN) :: KXLAG(6)
INTEGER(KIND=JPIM),INTENT(IN) :: KROT
LOGICAL ,INTENT(IN) :: LDPLANE
LOGICAL ,INTENT(IN) :: LDQMHW
LOGICAL ,INTENT(IN) :: LDQMHP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTTYP
REAL(KIND=JPRB) ,INTENT(IN) :: PDSTRET
REAL(KIND=JPRB) ,INTENT(IN) :: PC2M1
REAL(KIND=JPRB) ,INTENT(IN) :: PC2P1
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PI
REAL(KIND=JPRB) ,INTENT(IN) :: PDEPI
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PMUCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOSCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINCO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSINLA(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOPHI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PURL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRL0(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCSL(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PUSL2(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSL2(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(IN) :: PCSL2(KASLB1,KFLDN:KFLDX)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF0(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF0(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCF(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUFZ(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVFZ(KPROMA)
END SUBROUTINE LARCIN2
END INTERFACE
